import request from '@/utils/request'

// 查询列表
export function getDataList(query) {
  return request({
    url: '/control/ccapProjectManagement/getDataList',
    method: 'get',
    params: query
  })
}


// 获取所有事业部列表
export function getAllBusinessUnitList() {
  return request({
    url: '/control/ccapProjectManagement/getAllBusinessUnitList',
    method: 'get'
  })
}
// 根据id获取所有项目列表
export function getProjectListById(data) {
  return request({
    url: '/control/ccapProjectManagement/getProjectListById',
    method: 'get',
    params:data
  })
}

// 根据id新增一条抽屉里面的数据
export function inserTableData(data) {
  return request({
    url: '/control/ccapProjectManagement/inserTableData',
    method: 'post',
    data:data
  })
}
// 批量删除
export function inserTableData(ids) {
  return request({
    url: '/control/ccapProjectManagement/batch/'+ids,
    method: 'delete'
  })
}
